
OpenCV - Bug # 158: Compiling svn stops with error at python interface file cv.cpp

Status: Done Priority: High
Author: Roman Brenes Category: python bindings
Created: 2010-03-05 Assignee: James Bowman
Updated: 2010-04-05 Due date:
Affected version:
Difficulty:
Pull request:
Operating System:
HW Platform:
Description: I get an error while trying to compile svn revision 2747 on:

2.6.31-20-generic Ubuntu SMP  x86_64 GNU/Linux

Compilation error message:

Scanning dependencies of target cvpy
[100%] Building CXX object interfaces/python/CMakeFiles/cvpy.dir/cv.o
/usr/local/stow/opencv-svn/src/trunk/opencv/interfaces/python/cv.cpp: In function ‘void 
cvmat_dealloc(PyObject*)’:
/usr/local/stow/opencv-svn/src/trunk/opencv/interfaces/python/cv.cpp:376: warning: dereferencing 
type-punned pointer will break strict-aliasing rules
/usr/local/stow/opencv-svn/src/trunk/opencv/interfaces/python/cv.cpp:376: warning: dereferencing 
type-punned pointer will break strict-aliasing rules
/usr/local/stow/opencv-svn/src/trunk/opencv/interfaces/python/cv.cpp: In function ‘PyObject* 
pycvfromarray(PyObject*, [[PyObject]]*)’:
/usr/local/stow/opencv-svn/src/trunk/opencv/interfaces/python/cv.cpp:2886: error: cannot convert ‘npy_intp*’ to 
‘const int*’ for argument ‘2’ to ‘CvMatND* cvCreateMatND(int, const int*, int)’
/usr/include/python2.6/numpy/+multiarray_api.h: At global scope:
/usr/include/python2.6/numpy/+multiarray_api.h:968: warning: ‘int _import_array()’ defined but not used
maker2: *** [interfaces/python/CMakeFiles/cvpy.dir/cv.o] Error 1
maker1: *** [interfaces/python/CMakeFiles/cvpy.dir/all] Error 2
make: *** [all] Error 2

Associated revisions
2014-03-13 03:40 pm - Andrey Pavlenko
Merge pull request #158 from ilya-lavrenov:tapi_reduction

History
2010-03-05 02:13 am - James Bowman
numpy is now part of the Python build.  As a quick fix until we get this resolved, you can install numpy:

sudo apt-get install python-numpy

2010-03-06 01:02 am - Roman Brenes
Yes, I'd seen a past ticket where you mentioned about numpy.  Just checked right now, and I already had python-numpy installed, so that's not it.

2010-03-06 03:59 am - James Bowman
Thanks, was issue on 64 bit.
Fixed in r2755
2010-03-06 03:59 am - James Bowman
- (deleted custom field) set to fixed

2010-04-04 11:31 pm - abdhk383@yahoo.com -
Replying to [comment:5 jamesb]:
Hello i still have the same problem although i am using r2980
on snow leopard 10.6.3 . why is that ??

2010-04-04 11:37 pm - James Bowman
Not sure.. is your system 64 bit?
Can you please post the whole compiler failure?  Thanks.

2010-04-04 11:40 pm - anonymous -
Replying to [comment:7 jamesb]:
> Not sure.. is your system 64 bit?
> Can you please post the whole compiler failure?  Thanks.

yes it is 64 , and here is the whole failure :

/Library/Python/2.6/site-packages/numpy-1.4.0.dev7542_20091216-py2.6-macosx-10.6-universal.egg/numpy/core/include/numpy/npy_common.h:79:2: 
error: #error Must use Python with unicode enabled.
[ 92%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acascadeandhog.o
[ 92%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/achesscorners.o
[ 92%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acolor.o
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:13: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:16: error: ISO C++ forbids declaration of ‘PyObject_HEAD’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:17: error: expected ‘;’ before ‘void’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:18: error: ‘Py_ssize_t’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:22: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:24: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:24: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:29: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:31: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:31: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:36: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:38: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:38: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:43: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:45: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:45: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:49: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:54: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:56: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:56: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:60: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:62: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:62: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:67: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:69: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:69: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:73: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:75: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:75: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:79: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:81: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:81: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:85: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:93: error: ‘PyObject’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:96: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:101: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:106: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:111: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:115: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:115: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:116: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:116: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:117: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:117: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: expected primary-expression before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: ‘dst’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: expected primary-expression before ‘const’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: initializer expression list treated as compound expression
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: expected primary-expression before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: ‘dst’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: expected primary-expression before ‘const’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: initializer expression list treated as compound expression
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: expected primary-expression before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: ‘dst’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: expected primary-expression before ‘const’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: initializer expression list treated as compound expression
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: expected primary-expression before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: ‘dst’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: expected primary-expression before ‘const’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: initializer expression list treated as compound expression
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:122: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:123: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:124: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:125: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:145: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp: In function ‘void translate_error_to_exception()’:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:150: error: ‘opencv_error’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:150: error: ‘PyErr_SetString’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp: In function ‘int failmsg(const char*, ...)’:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:180: error: ‘PyExc_TypeError’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:180: error: ‘PyErr_SetString’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp: At global scope:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:188: error: expected initializer before ‘*’ token
[ 92%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acomposeRT.o
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:115: warning: ‘is_iplimage’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:116: warning: ‘is_cvmat’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:117: warning: ‘is_cvmatnd’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: warning: ‘convert_to_CvArr’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: warning: ‘convert_to_IplImage’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: warning: ‘convert_to_CvMat’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: warning: ‘convert_to_CvMatND’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:148: warning: ‘void translate_error_to_exception()’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:171: warning: ‘int failmsg(const char*, ...)’ defined but not used
maker2: *** [interfaces/python/CMakeFiles/cvpy.dir/cv.o] Error 1
maker1: *** [interfaces/python/CMakeFiles/cvpy.dir/all] Error 2
maker1: *** Waiting for unfinished jobs....
[ 92%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acondens.o
[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acontourmoments.o
[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acontours.o
[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acontoursmatch.o
[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aconvhull.o
[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acornerssubpix.o
[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/acreatecontourtree.o
[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/adistancetransform.o
[ 93%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/adrawing.o
[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/adrawing_regress.o
[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aeigenobjects.o
[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aemd.o
[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aestimaterigid.o
[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/affine3d_estimator.o
[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/afilter.o
[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/afloodfill.o
[ 94%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/afundam.o
[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/ahistograms.o
[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/ahmmobs.o
[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/ahoughtransform.o
[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aimage.o
[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aimgwarp.o
[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/akalman.o
[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/akmeans.o
[ 95%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amatchcontourtrees.o
[ 96%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amoments.o
[ 96%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amotiontemplates.o
[ 96%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amotseg.o
[ 96%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/amser.o
[ 96%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/anearestneighbors.o
[ 96%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aoptflowhs.o
[ 96%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aoptflowlk.o
[ 96%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aoptflowpyrlk.o
[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aposit.o
[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/apyrsegmentation.o
[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/areprojectImageTo3D.o
[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/asnakes.o
[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/astereocorrespondencegc.o
[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/astereomatching.o
[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/asubdivisions.o
[ 97%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/atemplmatch.o
[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/athresh.o
[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/aundistort.o
[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/bcameracalibration.o
[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/bchesscorners.o
[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/bundistort.o
[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/cvchessboardgenerator.o
[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/cvtest.o
[ 98%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/detectors_test.o
[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/fast.o
[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/grabcut.o
[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/highguitest.o
[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/highguitest_guionly.o
[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/inpaint.o
[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/optflow.o
[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/tchesscorners.o
[ 99%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/tsysa.o
[100%] Building CXX object tests/cv/CMakeFiles/cvtest.dir/src/watershed.o
Linking CXX executable ../../bin/cvtest
[100%] Built target cvtest
make: *** [all] Error 2

2010-04-05 01:28 am - James Bowman
Cool, thanks...

This starts at line 13, so is a different failure.  i have opened a new ticket, #257 for this.

2010-04-05 01:38 am - anonymous -
Replying to [comment:9 jamesb]:
> Cool, thanks...
> 
> This starts at line 13, so is a different failure.  i have opened a new ticket, #257 for this.

Ok, which version should i use that is most probable to work on snow leopard 
second, when should i expect to be solved ? 

I got another version from sourceforge site and i have the following :

/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘void icvDrawImage(CvWindow*)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:222: error: ‘GetWindowPortBounds’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:238: error: ‘SetPortWindowPort’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:239: error: ‘GetWindowPort’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:239: error: ‘QDBeginCGContext’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:243: error: ‘QDEndCGContext’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘void icvUpdateWindowSize(const [[CvWindow]]*)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:282: error: ‘GetWindowBounds’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:298: error: ‘SetWindowBounds’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘void cvResizeWindow(const char*, int, int)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:433: error: ‘SizeWindow’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘void cvMoveWindow(const char*, int, int)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:454: error: ‘MoveWindow’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘void [[TrackbarActionProcPtr]](OpaqueControlRef*, 
[[ControlPartCode]])’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:470: error: ‘GetControl32BitValue’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘int icvCreateTrackbar(const char*, const char*, int*, int, void 
(*)(int), void (*)(int, void*), void*)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:539: error: ‘GetWindowBounds’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:547: error: ‘CreateStaticTextControl’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:554: error: ‘CreateSliderControl’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:557: error: ‘SetControlVisibility’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘void cvSetTrackbarPos(const char*, const char*, int)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:666: error: ‘SetControlValue’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:667: error: ‘Draw1Control’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘int cvNamedWindow(const char*, int)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:788: error: ‘CreateNewWindow’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:792: error: ‘SetWindowTitleWithCFString’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:798: error: ‘GetWindowEventTarget’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:800: error: ‘ShowWindow’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘OSStatus windowEventHandler(OpaqueEventHandlerCallRef*, 
[[OpaqueEventRef]]*, void*)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:883: error: ‘GetWindowBounds’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:910: error: ‘GetWindowBounds’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:912: error: ‘SizeControl’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp: In function ‘int cvWaitKey(int)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/window_carbon.cpp:961: error: ‘WaitNextEvent’ was not declared in this scope
maker2: *** [src/highgui/CMakeFiles/highgui.dir/window_carbon.o] Error 1
maker2: *** Waiting for unfinished jobs....
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:76: error: ‘Movie’ does not name a type
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: In function ‘CvCapture_QT_Movie* icvCaptureFromFile_QT(const char*)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:104: error: ‘EnterMovies’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: In function ‘int icvOpenFile_QT_Movie(CvCapture_QT_Movie*, const char*)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:143: error: ‘ClearMoviesStickyError’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:146: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:162: error: ‘kQTPOSIXPathStyle’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:162: error: ‘QTNewDataReferenceFromFullPathCFString’ was not declared in this 
scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:170: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:170: error: ‘newMovieActive’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:170: error: ‘newMovieAsyncOK’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:171: error: ‘NewMovieFromDataRef’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:191: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:191: error: ‘nextTimeMediaSample’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:191: error: ‘nextTimeEdgeOK’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:192: error: ‘GetMovieNextInterestingTime’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:206: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:213: error: ‘GetMoviesError’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:214: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:214: error: ‘GetMovieBox’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:219: error: ‘QTNewGWorld’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:221: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:221: error: ‘SetMovieGWorld’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: In function ‘int icvClose_QT_Movie(CvCapture_QT_Movie*)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:244: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:248: error: ‘DisposeGWorld’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:249: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:249: error: ‘DisposeMovie’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: In function ‘double icvGetProperty_QT_Movie(CvCapture_QT_Movie*, int)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:265: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:282: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:282: error: ‘GetMovieTimeScale’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:287: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:287: error: ‘GetMovieDuration’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:301: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:301: error: ‘GetMovieDuration’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:302: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:302: error: ‘GetMovieTimeScale’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: In function ‘int icvSetProperty_QT_Movie(CvCapture_QT_Movie*, int, double)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:332: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:352: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:352: error: ‘GetMovieTimeScale’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:357: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:357: error: ‘GetMovieDuration’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:371: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:371: error: ‘nextTimeStep’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:372: error: ‘GetMovieNextInterestingTime’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:373: error: ‘GetMoviesError’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:386: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:386: error: ‘nextTimeStep’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:387: error: ‘GetMovieNextInterestingTime’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:388: error: ‘GetMoviesError’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:409: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:409: error: ‘nextTimeStep’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:410: error: ‘GetMovieNextInterestingTime’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:411: error: ‘GetMoviesError’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: In function ‘int icvGrabFrame_QT_Movie(CvCapture_QT_Movie*)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:442: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:450: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:450: error: ‘SetMovieTimeValue’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:451: error: ‘GetMoviesError’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:459: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:459: error: ‘GetMovieTime’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:463: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:463: error: ‘nextTimeStep’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:463: error: ‘GetMovieNextInterestingTime’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: In function ‘const void* icvRetrieveFrame_QT_Movie(CvCapture_QT_Movie*, 
int)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:485: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:495: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:495: error: ‘UpdateMovie’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:496: error: ‘GetMoviesError’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:504: error: ‘struct [[CvCapture]]_QT_Movie’ has no member named ‘myMovie’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:504: error: ‘MoviesTask’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:516: error: ‘GetGWorldPixMap’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:517: error: ‘LockPixels’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:518: error: ‘GetPixBaseAddr’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:518: error: ‘GetPixRowBytes’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:524: error: ‘UnlockPixels’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: At global scope:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:557: error: ‘SeqGrabComponent’ does not name a type
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:558: error: ‘SGChannel’ does not name a type
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:561: error: ‘ImageSequence’ does not name a type
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: In function ‘CvCapture_QT_Cam* icvCaptureFromCam_QT(int)’:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:591: error: ‘EnterMovies’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp: At global scope:
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: error: ‘SGChannel’ was not declared in this scope
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before ‘raw_data’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before ‘long’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before ‘long’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before ‘long’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before ‘,’ token
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before ‘short’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before ‘long’
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: error: initializer expression list treated as compound expression
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:855: error: expected ‘,’ or ‘;’ before ‘{’ token
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:239: warning: ‘int icvClose_QT_Movie(CvCapture_QT_Movie*)’ defined but not 
used
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:262: warning: ‘double icvGetProperty_QT_Movie(CvCapture_QT_Movie*, int)’ 
defined but not used
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:329: warning: ‘int icvSetProperty_QT_Movie(CvCapture_QT_Movie*, int, double)’ 
defined but not used
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:439: warning: ‘int icvGrabFrame_QT_Movie(CvCapture_QT_Movie*)’ defined but 
not used
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:482: warning: ‘const void* icvRetrieveFrame_QT_Movie(CvCapture_QT_Movie*, 
int)’ defined but not used
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:99: warning: ‘CvCapture_QT_Movie* icvCaptureFromFile_QT(const char*)’ defined 
but not used
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:573: warning: ‘int icvOpenCamera_QT(CvCapture_QT_Cam*, int)’ declared ‘static’ 
but never defined
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:574: warning: ‘int icvClose_QT_Cam(CvCapture_QT_Cam*)’ declared ‘static’ but 
never defined
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:610: warning: ‘double icvGetProperty_QT_Cam(CvCapture_QT_Cam*, int)’ defined 
but not used
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:617: warning: ‘int icvSetProperty_QT_Cam(CvCapture_QT_Cam*, int, double)’ 
defined but not used
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:577: warning: ‘int icvGrabFrame_QT_Cam(CvCapture_QT_Cam*)’ declared 
‘static’ but never defined
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:578: warning: ‘const void* icvRetrieveFrame_QT_Cam(CvCapture_QT_Cam*, int)’ 
declared ‘static’ but never defined
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:587: warning: ‘CvCapture_QT_Cam* icvCaptureFromCam_QT(int)’ defined but not 
used
/Users/abdalrahmaneweiwi/OpenCV-2.0.0/src/highgui/cvcap_qt.cpp:854: warning: ‘icvDataProc_QT_Cam’ defined but not used
maker2: *** [src/highgui/CMakeFiles/highgui.dir/cvcap_qt.o] Error 1
maker1: *** [src/highgui/CMakeFiles/highgui.dir/all] Error 2
make: *** [all] Error 2
PLEASE ANY SOLUTION, I NEED THIS TO WORK BY TOMORROW !!! 

2010-04-05 02:00 am - James Bowman
If you do not need Python, you can disable it by adding this to Cmake:

-D BUILD_NEW_PYTHON_SUPPORT=OFF

2010-04-05 02:01 am - anonymous -
Replying to [comment:11 jamesb]:
> If you do not need Python, you can disable it by adding this to Cmake:
> 
> -D BUILD_NEW_PYTHON_SUPPORT=OFF

It worked fine if i disable that, but i need python.

2010-04-05 03:06 am - James Bowman
OK, will take a look at this Monday morning.

2010-04-05 08:31 am - anonymous -
Replying to [comment:11 jamesb]:
> If you do not need Python, you can disable it by adding this to Cmake:
> 
> -D BUILD_NEW_PYTHON_SUPPORT=OFF

Good Morning !

I will copy the whole error message, i guess the thing is because no Python.h to refer to, but i dont know how to fix it

[100%] maker2: *** No rule to make target @/opt/local/Library/Frameworks/Python.framework/Python', needed by @lib/cv.so'.  Stop.
maker2: *** Waiting for unfinished jobs....
Building CXX object interfaces/python/CMakeFiles/cvpy.dir/cv.o
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:1:20: error: Python.h: No such file or directory
In file included from 
/Library/Python/2.6/site-packages/numpy-1.4.0.dev7542_20091216-py2.6-macosx-10.6-universal.egg/numpy/core/include/numpy/ndarrayobject.h:68,
                 from /Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:484:
/Library/Python/2.6/site-packages/numpy-1.4.0.dev7542_20091216-py2.6-macosx-10.6-universal.egg/numpy/core/include/numpy/npy_common.h:79:2: 
error: #error Must use Python with unicode enabled.
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:13: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:16: error: ISO C++ forbids declaration of ‘PyObject_HEAD’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:17: error: expected ‘;’ before ‘void’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:18: error: ‘Py_ssize_t’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:22: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:24: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:24: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:29: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:31: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:31: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:36: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:38: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:38: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:43: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:45: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:45: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:49: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:54: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:56: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:56: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:60: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:62: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:62: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:67: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:69: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:69: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:73: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:75: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:75: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:79: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:81: error: ISO C++ forbids declaration of ‘PyObject’ with no type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:81: error: expected ‘;’ before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:85: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:93: error: ‘PyObject’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:96: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:101: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:106: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:111: error: ‘PyObject_HEAD’ does not name a type
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:115: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:115: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:116: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:116: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:117: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:117: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: expected primary-expression before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: ‘dst’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: expected primary-expression before ‘const’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: error: initializer expression list treated as compound expression
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: expected primary-expression before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: ‘dst’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: expected primary-expression before ‘const’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: error: initializer expression list treated as compound expression
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: expected primary-expression before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: ‘dst’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: expected primary-expression before ‘const’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: error: initializer expression list treated as compound expression
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: ‘PyObject’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: ‘o’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: expected primary-expression before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: ‘dst’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: expected primary-expression before ‘const’
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: error: initializer expression list treated as compound expression
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:122: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:123: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:124: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:125: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:145: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp: In function ‘void translate_error_to_exception()’:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:150: error: ‘opencv_error’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:150: error: ‘PyErr_SetString’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp: In function ‘int failmsg(const char*, ...)’:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:180: error: ‘PyExc_TypeError’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:180: error: ‘PyErr_SetString’ was not declared in this scope
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp: At global scope:
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:188: error: expected initializer before ‘*’ token
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:115: warning: ‘is_iplimage’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:116: warning: ‘is_cvmat’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:117: warning: ‘is_cvmatnd’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:118: warning: ‘convert_to_CvArr’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:119: warning: ‘convert_to_IplImage’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:120: warning: ‘convert_to_CvMat’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:121: warning: ‘convert_to_CvMatND’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:148: warning: ‘void translate_error_to_exception()’ defined but not used
/Users/abdalrahmaneweiwi/opencv/opencv/interfaces/python/cv.cpp:171: warning: ‘int failmsg(const char*, ...)’ defined but not used
maker2: *** [interfaces/python/CMakeFiles/cvpy.dir/cv.o] Error 1
maker1: *** [interfaces/python/CMakeFiles/cvpy.dir/all] Error 2
make: *** [all] Error 2
